# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

version = '0.1'


def read(filename):
    with open(filename, "r") as f:
        return f.read()

setup(
    name='odfcast',
    version=version,
    description="A document conversion http service based on Open-"
    "/LibreOffice, py3o and PyPDF2",
    long_description=read("README.rst"),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP :: HTTP Servers",
        "Topic :: Text Processing :: General",
        "License :: OSI Approved :: MIT License",
    ],
    keywords='OpenOffice PDF',
    author='Björn Ricks',
    author_email='bjoern.ricks@intevation.de',
    url='',
    license='MIT License',
    packages=find_packages(exclude=["examples"]),
    include_package_data=True,
    install_requires=read("requirements.txt").split(),
)
